Download Reference Manual
The Developer's Library for D
About Wiki Forums Source Search Contact

Ticket #622 (closed defect: fixed)

Opened 10 years ago

Last modified 9 years ago

Internal Compiler Error with GDC ("memmove")

Reported by: afb Assigned to: sean
Priority: major Milestone: 0.99.8
Component: Tango Version: trunk
Keywords: gdc, mac, osx Cc:

Description

This is on Mac OS X: (10.4.10, Apple GCC 5363, GDC 0.24 or r154)

tango/io/FilePath.d: In member function 'adjust':
tango/io/FilePath.d:826: internal compiler error: Bus error
tango/io/vfs/VFS.d: In member function 'adjust':
tango/io/vfs/VFS.d:844: internal compiler error: Bus error

See also http://d.puremagic.com/issues/show_bug.cgi?id=1490

Attachments

tango-io-assertfalse.patch (1.3 kB) - added by afb on 09/10/07 20:10:12.
tango-io-assertfalse.patch

Change History

09/10/07 20:10:12 changed by afb

  • attachment tango-io-assertfalse.patch added.

tango-io-assertfalse.patch

09/10/07 20:10:45 changed by afb

Made a little patch to move the issue from compiletime to runtime.

09/14/07 06:30:07 changed by afb

This bug will be fixed in 0.25, but is still a problem when using 0.24...

See http://d.puremagic.com/issues/show_bug.cgi?id=1490#c3 (fixed in r155)

09/29/07 20:02:15 changed by kris

  • owner changed from kris to sean.

You know about this one, sean?

09/30/07 23:15:01 changed by kris

  • milestone set to 0.99.2 RC5.

10/01/07 15:09:00 changed by sean

Nope. Thank goodness memmove isn't used in the runtime. I guess we'll have to wait for 0.25, unless someone wants to patch in the use of a 'for' loop temporarily instead?

10/01/07 15:11:55 changed by afb

For loop doesn't help, unfortunately. Tried that, but it still crashes the compiler.

10/05/07 09:51:49 changed by larsivi

  • milestone changed from 0.99.2 RC5 to 0.99.3 RC6.

I think we'll just defer this until GDC 0.25 is released.

11/12/07 11:14:52 changed by larsivi

  • keywords set to gdc, mac, osx.
  • milestone changed from 0.99.3 to 0.99.4.

12/21/07 14:11:36 changed by larsivi

  • milestone changed from 0.99.4 to 0.99.5.

01/15/08 02:05:05 changed by sean

  • status changed from new to assigned.

Can someone verify that this is still a problem?

01/23/08 00:35:31 changed by sean

  • milestone changed from 0.99.5 to External Bugs.

12/11/08 12:56:25 changed by larsivi

  • status changed from assigned to closed.
  • resolution set to fixed.
  • milestone changed from External Bugs to 0.99.8.

GDC > 0.24 only supported now, closing.